Bug 666512 - [PATCH] Unable to publish photos to an existing album in Facebook
Summary: [PATCH] Unable to publish photos to an existing album in Facebook
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix, Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-31 10:08 UTC by Siddhesh Poyarekar
Modified: 2015-09-14 00:22 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-09 20:57:53 UTC


Attachments (Terms of Use)
patch from upstream r2305 (1.01 KB, application/octet-stream)
2010-12-31 10:08 UTC, Siddhesh Poyarekar
no flags Details

Description Siddhesh Poyarekar 2010-12-31 10:08:04 UTC
Created attachment 471265 [details]
patch from upstream r2305

Description of problem:

I am unable to publish photos to an existing album in Facebook. This is a known bug upstream and has been fixed in svn:

http://trac.yorba.org/ticket/2370

I'd like to have this patch included in F-14.

Version-Release number of selected component (if applicable):
shotwell-0.7.2-2.fc14

How reproducible:
Always

Steps to Reproduce:
1. Publish photo to Facebook
2. 
3.
  
Actual results:
The existing albums option is disabled

Expected results:
The existing albums option should be enabled and populated with the list of albums.

Additional info:

Attached patch is a backport of the fix from upstream svn (r2305). I have also made a scratch build to test the backported fix:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2694740

The fix works well for me.

Comment 1 Rahul Sundaram 2010-12-31 12:57:33 UTC
Would you like to be a co-maintainer?  If so apply in pkgdb and drop me a mail and I can approve you.  You can commit and push an update after that.

Comment 2 Siddhesh Poyarekar 2011-01-02 08:59:24 UTC
Sure, I can do that.

Comment 3 Fedora Update System 2011-01-02 18:19:40 UTC
shotwell-0.7.2-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/shotwell-0.7.2-3.fc14

Comment 4 Fedora Update System 2011-01-03 20:02:20 UTC
shotwell-0.7.2-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update shotwell'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/shotwell-0.7.2-3.fc14

Comment 5 Fedora Update System 2011-01-09 20:57:49 UTC
shotwell-0.7.2-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.